aboutsummaryrefslogtreecommitdiffstatshomepage
path: root/_posts
diff options
context:
space:
mode:
authorEgor Tensin <Egor.Tensin@gmail.com>2021-06-05 17:05:39 +0300
committerEgor Tensin <Egor.Tensin@gmail.com>2021-06-05 17:05:39 +0300
commit61de00cafa58ae12ef425728e38a109f90707c7e (patch)
tree6864ae3ccb49bc55b97d18612ae64a83c6c4206a /_posts
parentadd more examples, update README (diff)
downloadjekyll-theme-61de00cafa58ae12ef425728e38a109f90707c7e.tar.gz
jekyll-theme-61de00cafa58ae12ef425728e38a109f90707c7e.zip
add plain code snippets to posts
Diffstat (limited to '_posts')
-rw-r--r--_posts/2021-04-09-snippets.md17
1 files changed, 17 insertions, 0 deletions
diff --git a/_posts/2021-04-09-snippets.md b/_posts/2021-04-09-snippets.md
index f76845a..d3277ed 100644
--- a/_posts/2021-04-09-snippets.md
+++ b/_posts/2021-04-09-snippets.md
@@ -19,3 +19,20 @@ It's pretty simple, just use the corresponding include:
This is another set of snippets:
{% include snippets/section.html section_id='world' %}
+
+You can insert a code snippet using the regular Markdown syntax without any
+highlighting:
+
+```
+#!/usr/bin/env bash
+
+set -o errexit -o nounset -o pipefail
+
+main() {
+ echo "Hello, world!"
+}
+
+main
+```
+
+Also, some inline code: `./test.sh`!